FieldNumber (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.enumeration

## Enum FieldNumber

- java.lang.Object
- - java.lang.Enum<FieldNumber>
  - - tv.amwa.maj.enumeration.FieldNumber

- All Implemented Interfaces:
    Serializable, Comparable<FieldNumber>, MediaEnumerationValue

      public enum FieldNumber
      extends Enum<FieldNumber>
      implements MediaEnumerationValue

  Specifies the first or second field of an interlaced image. This is used to specify the field dominance of an image.

  Original C name: `aafFieldNumber_e`

  See Also:
    `PictureDescriptor.getFieldDominance()`, `TypeDefinitions.FieldNumber`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `One` Field one of an image.
    `Two` Field two of an image.
    `Unspecified` Field is unspecified.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `symbol()` Provides a name for the enumeration value that can be used in XML serialisation.
    `long` | `value()` Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.
    `static FieldNumber` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FieldNumber[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEnumerationValue

      `name`

- - ### Enum Constant Detail

    - #### Unspecified

          public static final FieldNumber Unspecified

      Field is unspecified.

    - #### One

          public static final FieldNumber One

      Field one of an image.

    - #### Two

          public static final FieldNumber Two

      Field two of an image.

  - ### Method Detail

    - #### values

          public static FieldNumber[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldNumber c : FieldNumber.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldNumber valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          @Int64
          public long value()

      Description copied from interface: `MediaEnumerationValue`

      Returns the unique integer value associated with an enumeration value, either according to the AAF specification and/or the current AAF meta dictionary.

      Specified by:
        `value` in interface `MediaEnumerationValue`
      Returns:
        Unique integer value associated with an enumeration constant.

    - #### symbol

          public String symbol()

      Description copied from interface: `MediaEnumerationValue`

      Provides a name for the enumeration value that can be used in XML serialisation. The name is unique within the namespace of the owning type.

      As an example, the `ChannelStatusModeType` value `ChannelStatusModeType.Fixed` value has the name "`Fixed`" and symbol "`ChannelStatusMode_Fixed`".

      Specified by:
        `symbol` in interface `MediaEnumerationValue`
      Returns:
        Symbol name for this enumeration value.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.